python-antlr3_3.5.2-1_all.deb


Advertisement

Description

python-antlr3 - ANother Tool for Language Recognition - Python 2.7 bindings

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-antlr3
Package version: 3.5.2
Package release: 1
Package architecture: all
Package type: deb
Installed size: 307 B
Download size: 57.58 KB
Official Mirror: archive.ubuntu.com
ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is a language tool that provides a framework for constructing recognizers, compilers, and translators from grammatical descriptions containing C++ or Java actions (You can use PCCTS 1.xx to generate C-based parsers). Computer language translation has become a common task. While compilers and tools for traditional computer languages (such as C or Java) are still being built, their number is dwarfed by the thousands of mini-languages for which recognizers and translators are being developed. Programmers construct translators for database formats, graphical data files (e.g., PostScript, AutoCAD), text processing files (e.g., HTML, SGML). ANTLR is designed to handle all of your translation tasks. This package provides the Python 2.7 bindings.

Alternatives

    Download

    Source package: python-antlr3

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-antlr3 deb package:
      # sudo apt-get install python-antlr3

    Files

    • /usr/lib/python2.7/dist-packages/antlr3/__init__.py
    • /usr/lib/python2.7/dist-packages/antlr3/compat.py
    • /usr/lib/python2.7/dist-packages/antlr3/constants.py
    • /usr/lib/python2.7/dist-packages/antlr3/debug.py
    • /usr/lib/python2.7/dist-packages/antlr3/dfa.py
    • /usr/lib/python2.7/dist-packages/antlr3/dottreegen.py
    • /usr/lib/python2.7/dist-packages/antlr3/exceptions.py
    • /usr/lib/python2.7/dist-packages/antlr3/extras.py
    • /usr/lib/python2.7/dist-packages/antlr3/main.py
    • /usr/lib/python2.7/dist-packages/antlr3/recognizers.py
    • /usr/lib/python2.7/dist-packages/antlr3/streams.py
    • /usr/lib/python2.7/dist-packages/antlr3/tokens.py
    • /usr/lib/python2.7/dist-packages/antlr3/tree.py
    • /usr/lib/python2.7/dist-packages/antlr3/treewizard.py
    • /usr/lib/python2.7/dist-packages/antlr_python_runtime-3.4.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/antlr_python_runtime-3.4.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/antlr_python_runtime-3.4.egg-info/top_level.txt
    • /usr/share/doc/python-antlr3/changelog.Debian.gz
    • /usr/share/doc/python-antlr3/copyright

    Changelog

    2016-03-23 - Thomas Goirand <zigo@debian.org> python-antlr3 (3.5.2-1) unstable; urgency=medium * Initial release. (Closes: #819046)

    Advertisement
    Advertisement